Skip to main content

Marketing Automation

HubSpot, Mailchimp, Marketo

  • Tools: 5
  • Connectors: 5

Connectors in this domain

Tool reference

marketing.campaigns.get - Get Campaign

Get details of a specific campaign

  • Risk: read - Read-only - safe to call freely
  • Supported by: Mailchimp, SendGrid, Marketo, HubSpot Marketing, Klaviyo

Input schema

FieldTypeRequiredDescription
campaign_idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/marketing.campaigns.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"campaign_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "marketing.campaigns.get",
"arguments": {
"campaign_id": "string"
}
}
}

marketing.campaigns.list - List Campaigns

List all marketing campaigns

  • Risk: read - Read-only - safe to call freely
  • Supported by: HubSpot Marketing, Marketo, Klaviyo, Mailchimp, SendGrid

Input schema

FieldTypeRequiredDescription
limitintegerNo-
offsetintegerNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/marketing.campaigns.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"limit":0,"offset":0}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "marketing.campaigns.list",
"arguments": {
"limit": 0,
"offset": 0
}
}
}

marketing.contacts.search - Search Contacts

Search marketing contacts

  • Risk: read - Read-only - safe to call freely
  • Supported by: Marketo, Klaviyo, SendGrid, HubSpot Marketing, Mailchimp

Input schema

FieldTypeRequiredDescription
emailstringNo-
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/marketing.contacts.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"email":"string","query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "marketing.contacts.search",
"arguments": {
"email": "string",
"query": "string"
}
}
}

marketing.emails.send - Send Email

Send marketing email to recipients

  • Risk: write - Creates or modifies data
  • Supported by: Marketo, SendGrid, Klaviyo, HubSpot Marketing, Mailchimp

Input schema

FieldTypeRequiredDescription
tostringYes-
template_idstringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/marketing.emails.send/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"to":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "marketing.emails.send",
"arguments": {
"to": "string"
}
}
}

marketing.lists.list - List Mailing Lists

List all mailing lists

  • Risk: read - Read-only - safe to call freely
  • Supported by: Marketo, HubSpot Marketing, Klaviyo, Mailchimp, SendGrid

Input schema

FieldTypeRequiredDescription
limitintegerNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/marketing.lists.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"limit":0}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "marketing.lists.list",
"arguments": {
"limit": 0
}
}
}